### Function

# Foundry file_test

#### Declaration [src]

    DexFuture*
    foundry_file_test (
      const char* path,
      GFileTest test
    )

#### Description [src]

Similar to `g_file_test()` but performed on the thread pool and yields a future.

#### Parameters

`path`

  Type: `const char*`

  The path to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`test`

  Type: `GFileTest`

  The `GFileTest` to check for.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean of `TRUE` if the test was met, otherwise resolves to `FALSE`.

The caller of the function takes ownership of the data, and is responsible for freeing it.